import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
const store = new Vuex.Store({
    state: {
		list: [
			{
				iconPath: "/static/logo.png",
				selectedIconPath: "/static/logo.png",
				customIcon: false,
				pagePath: "/pages/menu/menu",
				text: '菜单'
			},
			{
				iconPath: "/static/logo.png",
				selectedIconPath: "/static/logo.png",
				pagePath: "/pages/order/order",
				text: '订单',
				customIcon: false
			},
			{
				iconPath: "/static/logo.png",
				selectedIconPath: "/static/logo.png",
				customIcon: false,
				pagePath: "/pages/mine/mine",
				text: '我的'
			}
		],
		userInfo:{},//授权信息
		authorization:false//是否授权
	},
    mutations: {
		// 设置是否授权
		setAuthorization(state,data){
			state.authorization=data;
		},
		// 设置用户信息
		setUserInfo(state,userInfo){
			state.userInfo=userInfo;
		}
	},
    actions: {}
})
export default store